List Chat Logs
curl --request GET \
--url https://api.getoutbox.ai/agent/chat-logs/ \
--header 'Authorization: <api-key>' \
--header 'X-User-Timezone: <x-user-timezone>'import requests
url = "https://api.getoutbox.ai/agent/chat-logs/"
headers = {
"X-User-Timezone": "<x-user-timezone>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-User-Timezone': '<x-user-timezone>', Authorization: '<api-key>'}
};
fetch('https://api.getoutbox.ai/agent/chat-logs/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "<string>",
"status": "<string>",
"agent_name": "<string>",
"agent_id": "<string>",
"user_name": "<string>",
"phone_number": "<string>",
"created_at": "<string>",
"last_activity": "<string>",
"cost": "<string>",
"platform": "<string>"
}
],
"total": 123
}Chat Logs
List Chat Logs
Retrieve a paginated list of chatbot conversation logs with filtering options
GET
/
agent
/
chat-logs
/
List Chat Logs
Authorizations
Company API Key
Headers
User's timezone for timestamp formatting
Query Parameters
Page number for pagination. Page size is 10 items.
Search term to filter by contact name, phone number, or thread ID
Filter by conversation status
Filter by agent ID
ISO-8601 datetime string for date range start
ISO-8601 datetime string for date range end
⌘I

